summaryrefslogtreecommitdiff
path: root/utils/phpmake
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2013-05-03 21:08:42 +0400
committerIgor Pashev <pashev.igor@gmail.com>2013-05-03 21:08:42 +0400
commit1058def8e7827e56ce4a70afb4aeacb5dc44148f (patch)
tree4495d23e7b54ab5700e3839081e797c1eafe0db9 /utils/phpmake
downloadoss4-1058def8e7827e56ce4a70afb4aeacb5dc44148f.tar.gz
Imported Upstream version 4.2-build2006upstream/4.2-build2006upstream
Diffstat (limited to 'utils/phpmake')
-rwxr-xr-xutils/phpmake27
1 files changed, 27 insertions, 0 deletions
diff --git a/utils/phpmake b/utils/phpmake
new file mode 100755
index 0000000..4000c25
--- /dev/null
+++ b/utils/phpmake
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+if test ! -f Makefile.php
+then
+ echo No Makefile.php in this directory
+ exit 0
+fi
+
+if ! php Makefile.php > Makefile
+then
+ exit 1
+fi
+
+for n in */Makefile.php
+do
+ N=`dirname $n`
+
+ if test "$N " != '* '
+ then
+ if ! (cd $N && phpmake $*)
+ then
+ exit 1
+ fi
+ fi
+done
+
+exit 0